>
> Uh... no! We have to install them separately? So it means the Ruby
> install includes gem but not entirely? I don't understand the Ruby
> practices!!!
>

It's not Ruby's fault, it's Ubuntu's fault. Debian's policy is to patch
software to fit their particular ideology, for example, try running 'gem
update --system', which is how you update RubyGems.

Using rvm and avoiding apt (in the case of Ruby) will make your life a lot
better.